### Class

# Snapd AuthData

since: 1.0

#### Description [src]

    final class Snapd.AuthData : GObject.Object
    {
      /* No available fields */
    }

`SnapdAuthData` contains authorization data used to communicate with snapd.

The authorization data is in the form of a Macaroon.

Available since: 1.0

#### Ancestors

- GObject

#### Constructors

###### snapd_auth_data_new

Create some authorization data.

since: 1.0

#### Instance methods

###### snapd_auth_data_get_discharges

Get the discharges that this authorization uses.

since: 1.0

###### snapd_auth_data_get_macaroon

Get the Macaroon that this authorization uses.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.AuthData:discharges

No description available.

###### Snapd.AuthData:macaroon

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdAuthDataClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.